commit cb28da1d541b29ce86ea862f00f6c278117cbcb9
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Dec 19 20:27:36 2025 +0000

    Tidying

diff --git a/src/src/exim.c b/src/src/exim.c
index e955d2488..d8851d782 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -85,7 +85,11 @@ function_store_nullfree(void * block, void * tag)
 *************************************************/
 
 enum commandline_info { CMDINFO_NONE=0,
-  CMDINFO_HELP, CMDINFO_SIEVE, CMDINFO_DSCP };
+  CMDINFO_HELP, CMDINFO_SIEVE,
+#ifdef SUPPORT_DSCP
+  CMDINFO_DSCP
+#endif
+};
 
 
 
diff --git a/src/src/exim_dbutil.c b/src/src/exim_dbutil.c
index 6ffcf764c..b6977513b 100644
--- a/src/src/exim_dbutil.c
+++ b/src/src/exim_dbutil.c
@@ -1254,7 +1254,7 @@ for(; (reset_point = store_mark()); store_reset(reset_point))
 	break;
 
       case type_dbm:
-	printf("0 value:  %.*s\n", oldlength, record);
+	printf("0 value:  %.*s\n", oldlength, CS record);
       }
     }
 
diff --git a/src/src/miscmods/dmarc_common.c b/src/src/miscmods/dmarc_common.c
index 35b832c59..ab0027f17 100644
--- a/src/src/miscmods/dmarc_common.c
+++ b/src/src/miscmods/dmarc_common.c
@@ -15,7 +15,7 @@ extern BOOL		dmarc_local_init(void);
 extern void		dmarc_local_msg_init(void);
 extern gstring *	dmarc_version_report(gstring *);
 extern int		dmarc_process(void);
-extern const uschar *	dmarc_result_inlist(const uschar * const *);
+extern int		dmarc_result_inlist(const uschar * const *);
 
 
 /* Other modules needed for services */
diff --git a/src/src/transports/smtp.c b/src/src/transports/smtp.c
index 80a70b490..7274050f1 100644
--- a/src/src/transports/smtp.c
+++ b/src/src/transports/smtp.c
@@ -1126,8 +1126,6 @@ sx->pending_EHLO = FALSE;
 
 if (pending_BANNER)
   {
-  const uschar * s;
-
   DEBUG(D_transport) debug_printf("%s expect banner\n", __FUNCTION__);
   (*countp)--;
   if (!smtp_reap_banner(sx))
@@ -1140,9 +1138,12 @@ if (pending_BANNER)
 
 # if !defined(DISABLE_TLS) && !defined(DISABLE_TLS_RESUME)
   GET_OPTION("host_name_extract");
-  s = ((smtp_transport_options_block *)sx->conn_args.ob)->host_name_extract;
-  if (!s) s = HNE_DEFAULT;
-  ehlo_response_lbserver(sx, s);
+    {
+    const uschar * s;
+    s = ((smtp_transport_options_block *)sx->conn_args.ob)->host_name_extract;
+    if (!s) s = HNE_DEFAULT;
+    ehlo_response_lbserver(sx, s);
+    }
 # endif
   }
 
@@ -2677,8 +2678,6 @@ goto SEND_QUIT;
 #ifndef DISABLE_TLS
   if (sx->smtps)
     {
-    const uschar * s;
-
     smtp_peer_options |= OPTION_TLS;
     suppress_tls = FALSE;
     ob->tls_tempfail_tryclear = FALSE;
@@ -2690,8 +2689,11 @@ goto SEND_QUIT;
     force resumption attempts. */
 
     GET_OPTION("host_name_extract");
-    if (!(s = ob->host_name_extract)) s = US"never-LB";
-    ehlo_response_lbserver(sx, s);
+      {
+      const uschar * s;
+      if (!(s = ob->host_name_extract)) s = US"never-LB";
+      ehlo_response_lbserver(sx, s);
+      }
 # endif
     smtp_record_protocol_sequence(sx, US"s");
     goto TLS_NEGOTIATE;
@@ -2784,8 +2786,6 @@ goto SEND_QUIT;
     if (!sx->early_pipe_active)
 #endif
       {
-      const uschar * s;
-
       sx->peer_offered = ehlo_response(sx->buffer,
 	OPTION_TLS	/* others checked later */
 #ifndef DISABLE_PIPE_CONNECT
@@ -2824,8 +2824,11 @@ goto SEND_QUIT;
 #endif
 #if !defined(DISABLE_TLS) && !defined(DISABLE_TLS_RESUME)
       GET_OPTION("host_name_extract");
-      if (!(s = ob->host_name_extract)) s = HNE_DEFAULT;
-      ehlo_response_lbserver(sx, s);
+	{
+	const uschar * s;
+	if (!(s = ob->host_name_extract)) s = HNE_DEFAULT;
+	ehlo_response_lbserver(sx, s);
+	}
 #endif
       }
 

